---------------------
PatchSet 639 
Date: 2003/03/02 10:56:35
Author: serassio
Branch: nt
Tag: (none) 
Log:
First check after astyle merge

Members: 
	configure.in:1.26.2.2->1.26.2.3 
	port/win32/squid/squid.dsp:1.2.18.1->1.2.18.2 
	src/errorpage.cc:1.11.2.2->1.11.2.3 
	src/win32.cc:1.4.2.1->1.4.2.2 

Index: squid3/configure.in
===================================================================
RCS file: /cvsroot/squid-sf//squid3/configure.in,v
retrieving revision 1.26.2.2
retrieving revision 1.26.2.3
diff -u -r1.26.2.2 -r1.26.2.3
--- squid3/configure.in	1 Mar 2003 16:18:28 -0000	1.26.2.2
+++ squid3/configure.in	2 Mar 2003 10:56:35 -0000	1.26.2.3
@@ -3,7 +3,7 @@
 dnl
 dnl  Duane Wessels, wessels@nlanr.net, February 1996 (autoconf v2.9)
 dnl
-dnl  $Id: configure.in,v 1.26.2.2 2003/03/01 16:18:28 serassio Exp $
+dnl  $Id: configure.in,v 1.26.2.3 2003/03/02 10:56:35 serassio Exp $
 dnl
 dnl
 dnl
@@ -13,7 +13,7 @@
 AC_CONFIG_AUX_DIR(cfgaux)
 AM_INIT_AUTOMAKE(squid, 3.0-DEVEL-NT)
 AM_CONFIG_HEADER(include/autoconf.h)
-AC_REVISION($Revision: 1.26.2.2 $)dnl
+AC_REVISION($Revision: 1.26.2.3 $)dnl
 AC_PREFIX_DEFAULT(/usr/local/squid)
 AM_MAINTAINER_MODE
 
@@ -444,6 +444,9 @@
 	fi
 	NEED_UFS="true"
 	;;
+    awin32)
+	NEED_UFS="true"
+	;;
     coss)
 	if test -z "$with_aio"; then
 	    echo "coss store used, aio support automatically enabled"
Index: squid3/port/win32/squid/squid.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/squid/Attic/squid.dsp,v
retrieving revision 1.2.18.1
retrieving revision 1.2.18.2
diff -u -r1.2.18.1 -r1.2.18.2
--- squid3/port/win32/squid/squid.dsp	25 Feb 2003 02:48:56 -0000	1.2.18.1
+++ squid3/port/win32/squid/squid.dsp	2 Mar 2003 10:56:36 -0000	1.2.18.2
@@ -50,7 +50,7 @@
 # ADD BSC32 /nologo
 LINK32=link.exe
 # ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /machine:I386
-# ADD LINK32 ws2_32.lib advapi32.lib psapi.lib ssleay32.lib RSAglue.lib libeay32.lib LIBCMT.LIB  gdi32.lib /nologo /subsystem:console /machine:I386
+# ADD LINK32 ws2_32.lib advapi32.lib psapi.lib ssleay32.lib RSAglue.lib libeay32.lib LIBCMT.LIB gdi32.lib /nologo /subsystem:console /machine:I386
 # SUBTRACT LINK32 /nodefaultlib
 
 !ELSEIF  "$(CFG)" == "squid - Win32 Debug"
@@ -87,6 +87,186 @@
 # Begin Group "Source Files"
 
 # PROP Default_Filter "cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
+# Begin Group "Delay Pools Sources"
+
+# PROP Default_Filter ""
+# Begin Source File
+
+SOURCE=..\..\..\src\delay_pools.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\DelayBucket.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\DelayConfig.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\DelayId.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\DelayPool.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\DelaySpec.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\DelayUser.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\DelayVector.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\NullDelayId.cc
+# End Source File
+# End Group
+# Begin Group "ACL Sources"
+
+# PROP Default_Filter ""
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLARP.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLASN.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLBrowser.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLCertificate.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLCertificateData.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLChecklist.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLDestinationDomain.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLDestinationIP.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLDomainData.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLIdent.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLIntRange.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLIP.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLMaxConnection.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLMaxUserIP.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLMethod.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLMethodData.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLMyIP.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLMyPort.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLProtocol.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLProtocolData.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLProxyAuth.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLReferer.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLRegexData.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLReplyMIMEType.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLRequestMIMEType.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLSourceDomain.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLSourceIP.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLStrategised.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLStringData.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLTimeData.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLUrl.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLUrlPath.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLUrlPort.cc
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\ACLUserData.cc
+# End Source File
+# End Group
 # Begin Source File
 
 SOURCE=..\..\..\src\access_log.cc
@@ -161,10 +341,6 @@
 # End Source File
 # Begin Source File
 
-SOURCE=..\..\..\src\delay_pools.cc
-# End Source File
-# Begin Source File
-
 SOURCE=..\..\..\src\disk.cc
 # End Source File
 # Begin Source File
Index: squid3/src/errorpage.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/errorpage.cc,v
retrieving revision 1.11.2.2
retrieving revision 1.11.2.3
diff -u -r1.11.2.2 -r1.11.2.3
--- squid3/src/errorpage.cc	1 Mar 2003 16:18:31 -0000	1.11.2.2
+++ squid3/src/errorpage.cc	2 Mar 2003 10:56:36 -0000	1.11.2.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: errorpage.cc,v 1.11.2.2 2003/03/01 16:18:31 serassio Exp $
+ * $Id: errorpage.cc,v 1.11.2.3 2003/03/02 10:56:36 serassio Exp $
  *
  * DEBUG: section 4     Error Generation
  * AUTHOR: Duane Wessels
@@ -217,13 +217,8 @@
     MemBuf textbuf;
 
     snprintf(path, sizeof(path), "%s/%s", dir, page_name);
-#ifdef _SQUID_MSWIN_
-
-    fd = file_open(path, O_RDONLY | O_BINARY);
-#else
 
     fd = file_open(path, O_RDONLY | O_TEXT);
-#endif
 
     if (fd < 0) {
         debug(4, 0) ("errorTryLoadText: '%s': %s\n", path, xstrerror());
Index: squid3/src/win32.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/win32.cc,v
retrieving revision 1.4.2.1
retrieving revision 1.4.2.2
diff -u -r1.4.2.1 -r1.4.2.2
--- squid3/src/win32.cc	25 Feb 2003 02:49:18 -0000	1.4.2.1
+++ squid3/src/win32.cc	2 Mar 2003 10:56:36 -0000	1.4.2.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: win32.cc,v 1.4.2.1 2003/02/25 02:49:18 hno Exp $
+ * $Id: win32.cc,v 1.4.2.2 2003/03/02 10:56:36 serassio Exp $
  *
  * * * * * * * * Legal stuff * * * * * * *
  *
@@ -282,7 +282,7 @@
         }
 
         if ((osvi.dwMajorVersion == 5) && (osvi.dwMinorVersion == 2)) {
-            WIN32_OS_string = xstrdup("Windows .NET");
+            WIN32_OS_string = xstrdup("Windows Server 2003");
             return _WIN_OS_WINNET;
         }
 
